'use strict';

const map = require('broccoli-stew').map;

module.exports = {
  name: require('./package').name,

  importTransforms: () => {
    return {
      fastbootShim: tree => {
        return map(tree, content => {
          return `if (typeof FastBoot === 'undefined') { ${content} }`;
        });
      }
    }
  },

  included(app) {
    this._super.included.apply(this, arguments);

    app.import('vendor/addon-vendor.js', {
      using: [
        { transformation: 'amd', as: 'addon-vendor' }
      ],
      outputFile: '/assets/addon-output.js'
    });
  }
};
