'use strict';

const fs = require('fs');
const Plugin = require('broccoli-plugin');
const mergeTrees = require('broccoli-merge-trees');
const path = require('path');

class AddCustomFile extends Plugin {
  constructor(inputNodes, options) {
    super(...arguments);
    this.path = options.path;
  }

  build() {
    let outPath = path.join(this.path);
    this.output.mkdirSync(path.dirname(outPath));
    this.output.writeFileSync(outPath, '// File for test tree imported and added via postprocessTree()');
  }
}

const customTestFilePath = "my-custom-test-assets/test-dependency.js";

module.exports = {
  name: require('./package').name,

  included(app) {
    this._super.included(app);

    app.import(customTestFilePath, { type: 'test' });
  },

  postprocessTree(type, tree){
    if (type === 'test') {
      return mergeTrees([tree, new AddCustomFile([tree], {
        path: customTestFilePath
      })]);
    }
    return tree;
  }
};
